List threads of a document
curl --request GET \
--url https://scribe.skeptrune.com/api/docs/{id}/threads \
--cookie scribe_session=import requests
url = "https://scribe.skeptrune.com/api/docs/{id}/threads"
headers = {"cookie": "scribe_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'scribe_session='}};
fetch('https://scribe.skeptrune.com/api/docs/{id}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/docs/{id}/threads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "scribe_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/docs/{id}/threads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "scribe_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scribe.skeptrune.com/api/docs/{id}/threads")
.header("cookie", "scribe_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/docs/{id}/threads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'scribe_session='
response = http.request(request)
puts response.read_body{
"threads": [
{
"id": "thr_5aBcDeFgHiJkLmNoPq6r",
"docId": "doc_S9tUvWxYzAbCdEfGh12i",
"kind": "comment",
"anchorJson": "{\"from\":{\"type\":\"relative\",\"item\":10},\"to\":{\"type\":\"relative\",\"item\":24}}",
"quotedText": "ship in Q2",
"proposedText": null,
"sid": null,
"status": "open",
"createdBy": "usr_V1StGXR8_Z5jdHi6BmyT",
"createdByName": "Ada Lovelace",
"createdByKind": "human",
"createdAt": 1752624000000,
"updatedAt": 1752624000000,
"resolvedBy": null,
"resolvedAt": null,
"messages": [
{
"id": "msg_6bCdEfGhIjKlMnOpQr7s",
"threadId": "thr_5aBcDeFgHiJkLmNoPq6r",
"authorUserId": "usr_V1StGXR8_Z5jdHi6BmyT",
"authorName": "Ada Lovelace",
"authorKind": "human",
"body": "Should this say Q3 instead of Q2?",
"createdAt": 1752624000000
}
]
}
]
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Threads
List threads of a document
Returns the threads of a document (with messages), optionally filtered by status.
GET
/
api
/
docs
/
{id}
/
threads
List threads of a document
curl --request GET \
--url https://scribe.skeptrune.com/api/docs/{id}/threads \
--cookie scribe_session=import requests
url = "https://scribe.skeptrune.com/api/docs/{id}/threads"
headers = {"cookie": "scribe_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'scribe_session='}};
fetch('https://scribe.skeptrune.com/api/docs/{id}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/docs/{id}/threads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "scribe_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/docs/{id}/threads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "scribe_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scribe.skeptrune.com/api/docs/{id}/threads")
.header("cookie", "scribe_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/docs/{id}/threads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'scribe_session='
response = http.request(request)
puts response.read_body{
"threads": [
{
"id": "thr_5aBcDeFgHiJkLmNoPq6r",
"docId": "doc_S9tUvWxYzAbCdEfGh12i",
"kind": "comment",
"anchorJson": "{\"from\":{\"type\":\"relative\",\"item\":10},\"to\":{\"type\":\"relative\",\"item\":24}}",
"quotedText": "ship in Q2",
"proposedText": null,
"sid": null,
"status": "open",
"createdBy": "usr_V1StGXR8_Z5jdHi6BmyT",
"createdByName": "Ada Lovelace",
"createdByKind": "human",
"createdAt": 1752624000000,
"updatedAt": 1752624000000,
"resolvedBy": null,
"resolvedAt": null,
"messages": [
{
"id": "msg_6bCdEfGhIjKlMnOpQr7s",
"threadId": "thr_5aBcDeFgHiJkLmNoPq6r",
"authorUserId": "usr_V1StGXR8_Z5jdHi6BmyT",
"authorName": "Ada Lovelace",
"authorKind": "human",
"body": "Should this say Q3 instead of Q2?",
"createdAt": 1752624000000
}
]
}
]
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Authorizations
cookieAuthbearerAuth
Browser session cookie set by the WorkOS sign-in flow.
Path Parameters
Id of the document whose threads to list.
Query Parameters
Only return threads in this lifecycle status. Lifecycle state of a thread.
Available options:
open, resolved, accepted, rejected Example:
"open"
Response
The threads of the document.
Threads of a document.
Threads, oldest first.
Show child attributes
Show child attributes
Example:
[
{
"id": "thr_5aBcDeFgHiJkLmNoPq6r",
"docId": "doc_S9tUvWxYzAbCdEfGh12i",
"kind": "comment",
"anchorJson": "{\"from\":{\"type\":\"relative\",\"item\":10},\"to\":{\"type\":\"relative\",\"item\":24}}",
"quotedText": "ship in Q2",
"proposedText": null,
"sid": null,
"status": "open",
"createdBy": "usr_V1StGXR8_Z5jdHi6BmyT",
"createdByName": "Ada Lovelace",
"createdByKind": "human",
"createdAt": 1752624000000,
"updatedAt": 1752624000000,
"resolvedBy": null,
"resolvedAt": null,
"messages": [
{
"id": "msg_6bCdEfGhIjKlMnOpQr7s",
"threadId": "thr_5aBcDeFgHiJkLmNoPq6r",
"authorUserId": "usr_V1StGXR8_Z5jdHi6BmyT",
"authorName": "Ada Lovelace",
"authorKind": "human",
"body": "Should this say Q3 instead of Q2?",
"createdAt": 1752624000000
}
]
}
]